Package Gnumed :: Package wxpython :: Module gmOrganizationWidgets :: Class cOrgCategoryPhraseWheel |
[frames] | no frames]

# Class cOrgCategoryPhraseWheel

source code

                   wx.TextCtrl --+
                                 |
    gmPhraseWheel.cPhraseWheelBase --+
                                     |
            gmPhraseWheel.cPhraseWheel --+
                                         |
                                        cOrgCategoryPhraseWheel

Instance Methods
__init__(self, *args, **kwargs) | source code
Inherited from `gmPhraseWheel.cPhraseWheel`: `GetData`, `SetData` Inherited from `gmPhraseWheel.cPhraseWheelBase`: `Disable`, `Enable`, `SetText`, `add_callback_on_lose_focus`, `add_callback_on_modified`, `add_callback_on_selection`, `add_callback_on_set_focus`, `display_as_valid`, `enable_default_spellchecker`, `set_context`, `set_from_instance`, `set_from_pk`, `unset_context`

Class Variables
Inherited from `gmPhraseWheel.cPhraseWheelBase`: `accepted_chars`, `data`, `final_regex`, `final_regex_error_msg`, `speller_word_separators`, `static_tooltip_extra`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmPhraseWheel.cPhraseWheelBase.__init__